package com.kingdee.eas.custom.projectbonus.task;

import com.kingdee.bos.BOSException;
import com.kingdee.bos.BOSObjectFactory;
import com.kingdee.bos.util.BOSObjectType;
import com.kingdee.bos.Context;

public class ProjectbonusFacadeFactory
{
    private ProjectbonusFacadeFactory()
    {
    }
    public static com.kingdee.eas.custom.projectbonus.task.IProjectbonusFacade getRemoteInstance() throws BOSException
    {
        return (com.kingdee.eas.custom.projectbonus.task.IProjectbonusFacade)BOSObjectFactory.createRemoteBOSObject(new BOSObjectType("12EE1EB9") ,com.kingdee.eas.custom.projectbonus.task.IProjectbonusFacade.class);
    }
    
    public static com.kingdee.eas.custom.projectbonus.task.IProjectbonusFacade getRemoteInstanceWithObjectContext(Context objectCtx) throws BOSException
    {
        return (com.kingdee.eas.custom.projectbonus.task.IProjectbonusFacade)BOSObjectFactory.createRemoteBOSObjectWithObjectContext(new BOSObjectType("12EE1EB9") ,com.kingdee.eas.custom.projectbonus.task.IProjectbonusFacade.class, objectCtx);
    }
    public static com.kingdee.eas.custom.projectbonus.task.IProjectbonusFacade getLocalInstance(Context ctx) throws BOSException
    {
        return (com.kingdee.eas.custom.projectbonus.task.IProjectbonusFacade)BOSObjectFactory.createBOSObject(ctx, new BOSObjectType("12EE1EB9"));
    }
    public static com.kingdee.eas.custom.projectbonus.task.IProjectbonusFacade getLocalInstance(String sessionID) throws BOSException
    {
        return (com.kingdee.eas.custom.projectbonus.task.IProjectbonusFacade)BOSObjectFactory.createBOSObject(sessionID, new BOSObjectType("12EE1EB9"));
    }
}